# NOTE: Derived from blib/lib/Lemonldap/NG/Manager/Help.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Lemonldap::NG::Manager::Help;

#line 44 "blib/lib/Lemonldap/NG/Manager/Help.pm (autosplit into blib/lib/auto/Lemonldap/NG/Manager/Help/help_authParams_en.al)"
## authParams
# en
sub help_authParams_en {
    print <<EOT;
<h3>Modules</h3>

<p>LemonLDAP::NG use three types of modules:</p>
<ul>
 <li><tt>auhtentication</tt>: how authentication is done,</li>
 <li><tt>userDB</tt>: how user information for session are collected,</li>
 <li><tt>passwordDB</tt>: how password is changed.</li>
</ul>

<h4>Authentication module</h4>
<ul>
 <li><tt>LDAP</tt>: authentication done with an LDAP directory,</li>
 <li><tt>SSL</tt>: authentication is done by Apache <tt>mod_ssl</tt> and the portal checks 
 if SSL variable is set,</li>
 <li><tt>DBI</tt>: authentication done with a database</li>
 <li><tt>Apache</tt>: authentication is done by Apache with any mechanism that set
  <tt>REMOTE_USER</tt> environment variable. This allows to use any Apache
  authentication module as <tt>mod_auth_basic</tt>, <tt>mod_auth_kerb</tt>, ...</li>
 <li><tt>CAS</tt>: authentication is delegated to a CAS server,</li>
 <li><tt>Remote</tt>: authentication is delegated to a remote LemonLDAP::NG portal,</li>
 <li><tt>Proxy</tt>: authentication is done via Web Services on another LemonLDAP::NG portal,</li>
 <li><tt>OpenID</tt>: authentication is delegated to an OpenID server,</li>
 <li><tt>Twitter</tt>: authentication is delegated to Twitter,</li>
 <li><tt>SAML</tt>: authentication is delegation to an SAML2 Identity Provider,</li>
 <li><tt>None</tt>: transparent authentication (all users are logged),</li>
 <li><tt>Multi</tt>: authentication modules are stacked, the first working opens the session.
 You can associate conditions to each modules with following syntax:
 <tt>Module Condtions;Module Conditions;Module Conditions</tt>
</ul>

<h4>Users module</h4>
<ul>
 <li><tt>LDAP</tt>: get attributes from an LDAP directory,</li>
 <li><tt>DBI</tt>: get attributes from a database,</li>
 <li><tt>Env</tt>: get attributes from Apache environment variables,</li>
 <li><tt>SAML</tt>: use SAML2 attributes requests,</li>
 <li><tt>Remote</tt>: delegated to a remote LemonLDAP::NG portal,</li>
 <li><tt>Proxy</tt>: done via Web Services on another LemonLDAP::NG portal,</li>
 <li><tt>None</tt>: nothing is collected,</li>
 <li><tt>Multi</tt>: users modules are stacked.
 You can associate conditions to each modules with following syntax:
 <tt>Module Condtions;Module Conditions;Module Conditions</tt>
</ul>

<h4>Password module</h4>
<ul>
 <li><tt>LDAP</tt>: change password in an LDAP directory,</li>
 <li><tt>DBI</tt>: change password in a database,</li>
 <li><tt>None</tt>: do nothing,</li>
</ul>

EOT
}

# end of Lemonldap::NG::Manager::Help::help_authParams_en
1;
