# NOTE: Derived from blib/lib/Lemonldap/NG/Manager/Help.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Lemonldap::NG::Manager::Help;

#line 450 "blib/lib/Lemonldap/NG/Manager/Help.pm (autosplit into blib/lib/auto/Lemonldap/NG/Manager/Help/help_macros_fr.al)"
# fr
sub help_macros_fr {
    print <<EOT;
<h3>Macros</h3>
<p>Les macros permettent d'ajouter des variables calculées à
partir des attributs de l'utilisateur (variables exportées). Elles sont ensuite vues
comme des attributs classiques.
Elles évitent de répéter le même calcul plusieurs
fois dans la phase d'authentification. Exemple&nbsp;:</p>
<pre>
    # macros
    nom_complet =&gt; \$givenname . " " . \$surname
    admin =&gt; \$uid eq "foo" or \$uid eq "bar"
    
    # test.example.com - En-t&ecirc;tes
    Nom =&gt; \$nom_complet
    
    # test.example.com - R&egrave;gles
    ^/admin/ =&gt; \$admin
</pre>

<h4>Astuces</h4>

<h5>Redéfinir les attributs</h5>
<p>Une macro peut porter le même nom qu'un attribut exporté. 
Si c'est la cas, l'attribut est redéfini. Exemple&nbsp;:</p>
<pre>
    uid =&gt; $uid . "\\\@domain.com"
</pre>

<h5>Utilisation des expressions régulières</h5>

<p>En supposant que l'on souhaite extraire la chaîne 'admin' ou 'user' d'un attribut,
en Perl, on peut utiliser <tt>\$mail&nbsp;=~&nbsp;s/^.*(user|admin)/\$1/</tt>. Pour
l'utiliser dans Lemonldap::NG, il faut faire&nbsp;:</p>
<pre>
    mail =&gt; (\$mail =~ /(user|admin)/)[0]
</pre>
<p>Explication&nbsp;: <tt>\$mail =~ /(user|admin)/</tt> retourne 0 ou 1, mais
<tt>(\$mail =~ /(user|admin)/)</tt> est un contexte de liste donc il retourne un tableau
contenant tous les éléments reconnus. Donc <tt>(\$mail =~ /(user|admin)/)[0]</tt>
renvoie le premier élément.</p>
EOT
}

# end of Lemonldap::NG::Manager::Help::help_macros_fr
1;
