# NOTE: Derived from blib/lib/Lemonldap/NG/Manager/Help.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Lemonldap::NG::Manager::Help;

#line 608 "blib/lib/Lemonldap/NG/Manager/Help.pm (autosplit into blib/lib/auto/Lemonldap/NG/Manager/Help/help_virtualHosts_en.al)"
## virtualHosts
# en
sub help_virtualHosts_en {
    print <<EOT;
<h3>Virtual Hosts</h3>
<p>A virtual host configuration is cutted in 2 pieces: the rules and the
HTTP headers.</p>
<p class="info">If portal and Handlers are not in the same domain than declared
in <tt>General Parameters</tt> menu, active Cross-Domain Authenticatin functionnality.
Else, session cookie is not seen by Handlers.

<h4>Rules</h4>
<p>A rule associates a regular expression with a perl boolean expression.
When a user tries to access to an URL that match with the regular expression,
access is granted or not depending on the boolean expression result:</p>
<pre>
  # Virtual host test.example.com - rules
  ^/protected =&gt; \$groups =~ /\\bgroup1\\b/
</pre>

<p>This rule means that all URL starting with <tt>/protected</tt> are reserved to
users member of <tt>group1</tt>. You can also use <tt>accept</tt>, <tt>deny</tt> and <tt>unprotect</tt>
keywords</p>
<ul>
 <li><tt>accept</tt>: all authenticated users are granted,</li>
 <li><tt>deny</tt>: no one is granted,</li>
 <li><tt>unprotect</tt>: authenticaion not required.</li>
</ul>

<p>If URL doesn't match any regular expression, <tt>default</tt> rule is called to
grant or not.</p>

<h5>Logout</h5>
<p>You can also write Logout rules to intercept application logout url using the
reserved words:</p>
<ul>
 <li><tt>logout_sso URL</tt>: the request generates a redirection to the portal to call
  logout mechanism. The request is not given to the application so its logout
  function is not called. After logout, the user is redirected to the URL,</li>
 <li><tt>logout_app URL</tt> (Apache-2.x only)  the request is transmitted to the
  application, but the result is not displayed: the user is redirected to the
  URL,</li>
 <li><tt>logout_app_sso URL</tt> (Apache-2.x only): the request is transmitted to the
  application and then, the user is redirected to the portal with the logout
  call and then, he is redirected to the given URL.</li>
</ul>

<h4>Headers</h4>
<p>Headers are used to inform the remote application on the connected user.
They are declared as:</p>
<pre>&lt;Header Name&gt;&nbsp;=&gt;&nbsp;&lt;Perl expression&gt;.</pre>

<p>Examples:</p>
<pre>
  Auth-User =&gt; \$uid
  Unite     =&gt; \$departmentUID
</pre>
EOT
}

# end of Lemonldap::NG::Manager::Help::help_virtualHosts_en
1;
