# NOTE: Derived from blib/lib/Lemonldap/NG/Manager/Help.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Lemonldap::NG::Manager::Help;

#line 668 "blib/lib/Lemonldap/NG/Manager/Help.pm (autosplit into blib/lib/auto/Lemonldap/NG/Manager/Help/help_virtualHosts_fr.al)"
# fr
sub help_virtualHosts_fr {
    print <<EOT;
<h3>Hôtes virtuels</h3>

<p> La configuration d'un hôte virtuel est divisée en 2
parties&nbsp;: les règles et les en-têtes HTTP.</p>

<p class="info"> Pour que le mécanisme d'authentification fonctionne,
tous les hôtes virtuels et le portail doivent se trouver dans le domaine
déclaré dans les paramètres généraux ou alors il faut activer la fonction
Cross-Domain-Authentication.</p>

<h4>Règles</h4>
<p>Une règle associe une expression régulière perl
à une expression booléenne. Lors de l'accès d'un
utilisateur, si l'URL demandée correspond à la règle, le
droit d'accès est calculé par l'expression booléenne.
Exemple&nbsp;:</p>
<pre>
  # Hôte virtuel test.example.com - règles
  ^/protected =&gt; \$groups =~ /\\bgroup1\\b/
</pre>

<p>La règle ci-dessus signifie que pour les URL commençant par
<tt>/protected</tt>, les utilisateurs doivent appartenir au groupe <tt>group1</tt>.
Vous pouvez également utiliser les mots-clefs <tt>accept</tt>, <tt>deny</tt> et
<tt>unprotect</tt>:</p>
<ul>
 <li><tt>accept</tt>: tous les utilisateurs authentifiés peuvent accéder,</li>
 <li><tt>deny</tt>: personne ne peut accéder,</li>
 <li><tt>unprotect</tt>: l'authentification n'est pas obligatoire.</li>
</ul>

<p>Si l'URL demandée ne correspond à aucune des expressions
régulières, le droit d'accès est calculé à
partir de l'expression booléenne définie dans la règle par
défaut (<tt>default</tt>).</p>

<h5>Déconnexion</h5>
Vous pouvez également écrire des règles pour intercepter
les URL de déconnexions des applications en utilisant les
mots-clefs&nbsp;:
<ul>
 <li><tt>logout_sso URL</tt> : la requête entraîne une redirection vers le portail
  avec l'appel au système de déconnexion. La requête n'est
  pas transmise à l'application. Après déconnexion,
  l'utilisateur est renvoyé vers l'URL,</li>
 <li><tt>logout_app URL</tt> (Apache-2.x seulement) : la requête est transmise
  à l'applications mais le résultat n'est pas
  affiché&nbsp;: l'utilisateur est redirigé vers l'URL,</li>
 <li><tt>logout_app_sso URL</tt> (Apache-2.x seulement) : la requête est transmise
  à l'application et ensuite, l'utilisateur est redirigé vers le
  portail avec appel au système de déconnexion. Il est ensuite
  redirigé vers l'URL.</li>
</ul>

<h4>En-têtes</h4>

<p>Les en-têtes permettant à l'application de savoir qui est
connecté se déclarent comme suit&nbsp;:</p>
<pre>&lt;nom de l'en-t&ecirc;te&gt; =&gt; &lt;expression Perl&gt;.</pre>

<p>Exemples :</p>
<pre>
  Auth-User =&gt; \$uid
  Unite     =&gt; \$departmentUID
</pre>
EOT
}

# end of Lemonldap::NG::Manager::Help::help_virtualHosts_fr
1;
